NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::MeasureAngleBuilder Class Reference

Represents a NXOpen::MeasureAngleBuilder
To create a new instance of this class, use NXOpen::MeasureManager::CreateMeasureAngleBuilder

Created in NX5.0.0. More...

Inheritance diagram for NXOpen::MeasureAngleBuilder:
NXOpen::MeasureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  AngleType { AngleTypeThreePoints, AngleTypeTwoObjects, AngleTypeScreenPoints }
 Represents the angle type. More...
 
enum  ObjectType { ObjectTypeObject, ObjectTypeFeature, ObjectTypeVector }
 Represents the object type. More...
 
enum  OrientationType { OrientationTypeInnerAngle, OrientationTypeOuterAngle }
 Represents the orientation type. More...
 
enum  ProjectionType { ProjectionTypeAngle3d, ProjectionTypeAngleXy, ProjectionTypeTrueAngle }
 Represents the projection type. More...
 
- Public Types inherited from NXOpen::MeasureBuilder
enum  AnnotationType { AnnotationTypeNone, AnnotationTypeShowDimension, AnnotationTypeCreateLine, AnnotationTypeCreateCsys }
 Represents the annotation type. More...
 
enum  RequirementType { RequirementTypeNone, RequirementTypeNew, RequirementTypeExisting }
 Represents the requirement type. More...
 

Public Member Functions

NXOpen::PointBaseEnd ()
 Returns the end point
Created in NX5.0.0. More...
 
NXOpen::PointBasePoint ()
 Returns the base point
Created in NX5.0.0. More...
 
NXOpen::SelectDisplayableObjectFeature1 ()
 Returns the feature1
Created in NX5.0.0. More...
 
NXOpen::SelectDisplayableObjectFeature2 ()
 Returns the feature2
Created in NX5.0.0. More...
 
bool IsExact ()
 Returns the exact flag
Created in NX7.5.0. More...
 
NXOpen::SelectDisplayableObjectObject1 ()
 Returns the object1
Created in NX5.0.0. More...
 
NXOpen::SelectDisplayableObjectObject2 ()
 Returns the object2
Created in NX5.0.0. More...
 
NXOpen::MeasureAngleBuilder::ObjectType Objtype1 ()
 Returns the otype1
Created in NX5.0.0. More...
 
NXOpen::MeasureAngleBuilder::ObjectType Objtype2 ()
 Returns the otype2
Created in NX5.0.0. More...
 
NXOpen::MeasureAngleBuilder::OrientationType Orientation ()
 Returns the orientation
Created in NX5.0.0. More...
 
NXOpen::PointProtractorEnd ()
 Returns the protractor end point
Created in NX5.0.0. More...
 
NXOpen::MeasureAngleBuilder::ProjectionType Ptype ()
 Returns the ptype
Created in NX5.0.0. More...
 
void SetBaseEnd (NXOpen::Point *baseEnd)
 Sets the end point
Created in NX5.0.0. More...
 
void SetBasePoint (NXOpen::Point *basePoint)
 Sets the base point
Created in NX5.0.0. More...
 
void SetExact (bool isExact)
 Sets the exact flag
Created in NX7.5.0. More...
 
void SetObjtype1 (NXOpen::MeasureAngleBuilder::ObjectType objtype)
 Sets the otype1
Created in NX5.0.0. More...
 
void SetObjtype2 (NXOpen::MeasureAngleBuilder::ObjectType objtype)
 Sets the otype2
Created in NX5.0.0. More...
 
void SetOrientation (NXOpen::MeasureAngleBuilder::OrientationType mtype)
 Sets the orientation
Created in NX5.0.0. More...
 
void SetProtractorEnd (NXOpen::Point *protractorEnd)
 Sets the protractor end point
Created in NX5.0.0. More...
 
void SetPtype (NXOpen::MeasureAngleBuilder::ProjectionType mtype)
 Sets the ptype
Created in NX5.0.0. More...
 
void SetVector1 (NXOpen::Direction *vector1)
 Sets the vector1
Created in NX5.0.0. More...
 
void SetVector2 (NXOpen::Direction *vector2)
 Sets the vector2
Created in NX5.0.0. More...
 
NXOpen::DirectionVector1 ()
 Returns the vector1
Created in NX5.0.0. More...
 
NXOpen::DirectionVector2 ()
 Returns the vector2
Created in NX5.0.0. More...
 
- Public Member Functions inherited from NXOpen::MeasureBuilder
NXOpen::MeasureBuilder::AnnotationType AnnotationMode ()
 Returns the annotation mode
Created in NX5.0.0. More...
 
bool InfoWindow ()
 Returns the info window
Created in NX5.0.0. More...
 
NXOpen::MeasureBuilder::RequirementType RequirementMode ()
 Returns the requirement mode
Created in NX5.0.0. More...
 
void SetAnnotationMode (NXOpen::MeasureBuilder::AnnotationType atype)
 Sets the annotation mode
Created in NX5.0.0. More...
 
void SetInfoWindow (bool infoWindow)
 Sets the info window
Created in NX5.0.0. More...
 
void SetRequirementMode (NXOpen::MeasureBuilder::RequirementType rtype)
 Sets the requirement mode
Created in NX5.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::MeasureAngleBuilder
To create a new instance of this class, use NXOpen::MeasureManager::CreateMeasureAngleBuilder

Created in NX5.0.0.


Member Enumeration Documentation

Represents the angle type.

Enumerator
AngleTypeThreePoints 

three points

AngleTypeTwoObjects 

two objects

AngleTypeScreenPoints 

screen points

Represents the object type.

Enumerator
ObjectTypeObject 

object

ObjectTypeFeature 

feature

ObjectTypeVector 

vector

Represents the orientation type.

Enumerator
OrientationTypeInnerAngle 

inner angle

OrientationTypeOuterAngle 

outer angle

Represents the projection type.

Enumerator
ProjectionTypeAngle3d 

angle3d

ProjectionTypeAngleXy 

angle xy

ProjectionTypeTrueAngle 

true angle

Member Function Documentation

NXOpen::Point* NXOpen::MeasureAngleBuilder::BaseEnd ( )

Returns the end point
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

NXOpen::Point* NXOpen::MeasureAngleBuilder::BasePoint ( )

Returns the base point
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

NXOpen::SelectDisplayableObject* NXOpen::MeasureAngleBuilder::Feature1 ( )

Returns the feature1
Created in NX5.0.0.



License requirements : None

NXOpen::SelectDisplayableObject* NXOpen::MeasureAngleBuilder::Feature2 ( )

Returns the feature2
Created in NX5.0.0.



License requirements : None

bool NXOpen::MeasureAngleBuilder::IsExact ( )

Returns the exact flag
Created in NX7.5.0.



License requirements : None

NXOpen::SelectDisplayableObject* NXOpen::MeasureAngleBuilder::Object1 ( )

Returns the object1
Created in NX5.0.0.



License requirements : None

NXOpen::SelectDisplayableObject* NXOpen::MeasureAngleBuilder::Object2 ( )

Returns the object2
Created in NX5.0.0.



License requirements : None

NXOpen::MeasureAngleBuilder::ObjectType NXOpen::MeasureAngleBuilder::Objtype1 ( )

Returns the otype1
Created in NX5.0.0.



License requirements : None

NXOpen::MeasureAngleBuilder::ObjectType NXOpen::MeasureAngleBuilder::Objtype2 ( )

Returns the otype2
Created in NX5.0.0.



License requirements : None

NXOpen::MeasureAngleBuilder::OrientationType NXOpen::MeasureAngleBuilder::Orientation ( )

Returns the orientation
Created in NX5.0.0.



License requirements : None

NXOpen::Point* NXOpen::MeasureAngleBuilder::ProtractorEnd ( )

Returns the protractor end point
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

NXOpen::MeasureAngleBuilder::ProjectionType NXOpen::MeasureAngleBuilder::Ptype ( )

Returns the ptype
Created in NX5.0.0.



License requirements : None

void NXOpen::MeasureAngleBuilder::SetBaseEnd ( NXOpen::Point baseEnd)

Sets the end point
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
baseEndbaseend
void NXOpen::MeasureAngleBuilder::SetBasePoint ( NXOpen::Point basePoint)

Sets the base point
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
basePointbasepoint
void NXOpen::MeasureAngleBuilder::SetExact ( bool  isExact)

Sets the exact flag
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
isExactisexact
void NXOpen::MeasureAngleBuilder::SetObjtype1 ( NXOpen::MeasureAngleBuilder::ObjectType  objtype)

Sets the otype1
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
objtypeobjtype
void NXOpen::MeasureAngleBuilder::SetObjtype2 ( NXOpen::MeasureAngleBuilder::ObjectType  objtype)

Sets the otype2
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
objtypeobjtype
void NXOpen::MeasureAngleBuilder::SetOrientation ( NXOpen::MeasureAngleBuilder::OrientationType  mtype)

Sets the orientation
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
mtypemtype
void NXOpen::MeasureAngleBuilder::SetProtractorEnd ( NXOpen::Point protractorEnd)

Sets the protractor end point
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
protractorEndprotractorend
void NXOpen::MeasureAngleBuilder::SetPtype ( NXOpen::MeasureAngleBuilder::ProjectionType  mtype)

Sets the ptype
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
mtypemtype
void NXOpen::MeasureAngleBuilder::SetVector1 ( NXOpen::Direction vector1)

Sets the vector1
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
vector1vector1
void NXOpen::MeasureAngleBuilder::SetVector2 ( NXOpen::Direction vector2)

Sets the vector2
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
vector2vector2
NXOpen::Direction* NXOpen::MeasureAngleBuilder::Vector1 ( )

Returns the vector1
Created in NX5.0.0.



License requirements : None

NXOpen::Direction* NXOpen::MeasureAngleBuilder::Vector2 ( )

Returns the vector2
Created in NX5.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.